import type React from 'react';
import { FlatList, type FlatListProps } from 'react-native';
import { type CommonProps } from './utils';
/**
 * React Native Super Grid Properties
 */
export interface FlatGridProps<ItemType> extends FlatListProps<ItemType>, CommonProps<ItemType> {
    /**
     * Items to be rendered. renderItem will be called with each item in this array.
     */
    data: ItemType[];
    /**
     * Overwrites FlatList with custom interface
     */
    customFlatList?: typeof FlatList;
}
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<FlatGridProps<unknown> & React.RefAttributes<FlatList<unknown>>>>;
export default _default;
