import type React from 'react';
import { SectionList, type SectionListProps, type SectionListRenderItemInfo } from 'react-native';
import { type CommonProps } from './utils';
export type SectionGridRenderItemInfo<ItemT> = SectionListRenderItemInfo<ItemT> & {
    rowIndex: number;
};
export type SectionGridRenderItem<ItemT> = (info: SectionGridRenderItemInfo<ItemT>) => React.ReactElement | null;
export type SectionItem<ItemType> = {
    title?: string;
    data: ItemType[];
    renderItem?: SectionGridRenderItem<ItemType>;
};
type SectionGridAllowedProps<ItemType> = Omit<SectionListProps<ItemType>, 'horizontal' | 'sections' | 'renderItem'>;
export interface SectionGridProps<ItemType> extends SectionGridAllowedProps<ItemType>, CommonProps<ItemType> {
    sections: SectionItem<ItemType>[];
    renderItem?: SectionGridRenderItem<ItemType>;
    /**
     * Overwrites SectionList with custom interface
     */
    customSectionList?: typeof SectionList;
}
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<SectionGridProps<unknown> & React.RefAttributes<SectionList<unknown, import("react-native").DefaultSectionT>>>>;
export default _default;
