import type React from 'react';
import { type ListRenderItemInfo, type StyleProp, type ViewStyle } from 'react-native';
declare function useRenderRow<T extends {
    _fullWidth?: number;
}>({ renderItem, spacing, keyExtractor, externalRowStyle, itemContainerStyle, horizontal, invertedRow, }: {
    renderItem: (props: ListRenderItemInfo<T> & {
        rowIndex: number;
    }) => React.ReactElement;
    spacing: number;
    keyExtractor: (item: T, index: number) => string;
    externalRowStyle: StyleProp<ViewStyle>;
    itemContainerStyle: StyleProp<ViewStyle>;
    horizontal: boolean;
    invertedRow: boolean;
}): ({ rowItems, rowIndex, separators, isLastRow, itemsPerRow, rowStyle, containerStyle, containerFullWidthStyle, }: Partial<ListRenderItemInfo<T>> & {
    rowItems: T[];
    rowIndex: number;
    isLastRow: boolean;
    itemsPerRow: number;
    rowStyle: typeof externalRowStyle;
    containerStyle: typeof itemContainerStyle;
    containerFullWidthStyle: StyleProp<ViewStyle>;
}) => React.JSX.Element;
export default useRenderRow;
