"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const utils_1 = require("../utils");
function useRows({ data, itemsPerRow, invertedRow, keyExtractor, onItemsPerRowChange, }) {
    let rows = (0, utils_1.chunkArray)(data, itemsPerRow); // Splitting the data into rows
    if (invertedRow) {
        rows = rows.map((r) => r.reverse());
    }
    const localKeyExtractor = (0, react_1.useCallback)((rowItems, index) => {
        if (keyExtractor) {
            return rowItems.map((rowItem, rowItemIndex) => keyExtractor(rowItem, rowItemIndex)).join('_');
        }
        return `row_${index}`;
    }, [keyExtractor]);
    (0, react_1.useEffect)(() => {
        if (onItemsPerRowChange) {
            onItemsPerRowChange(itemsPerRow);
        }
    }, [itemsPerRow, onItemsPerRowChange]);
    return { rows, keyExtractor: localKeyExtractor };
}
exports.default = useRows;
